package com.ruoyi.project.pssr.service;

import java.util.List;
import com.ruoyi.project.pssr.domain.TPssrMoc;

/**
 * MOC完成确认清单Service接口
 * 
 * @author ssy
 * @date 2024-10-31
 */
public interface ITPssrMocService 
{
    /**
     * 查询MOC完成确认清单
     * 
     * @param id MOC完成确认清单ID
     * @return MOC完成确认清单
     */
    public TPssrMoc selectTPssrMocById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询MOC完成确认清单列表
     * 
     * @param tPssrMoc MOC完成确认清单
     * @return MOC完成确认清单集合
     */
    public List<TPssrMoc> selectTPssrMocList(TPssrMoc tPssrMoc);

    /**
     * 新增MOC完成确认清单
     * 
     * @param tPssrMoc MOC完成确认清单
     * @return 结果
     */
    public int insertTPssrMoc(TPssrMoc tPssrMoc);

    /**
     * 修改MOC完成确认清单
     * 
     * @param tPssrMoc MOC完成确认清单
     * @return 结果
     */
    public int updateTPssrMoc(TPssrMoc tPssrMoc);

    /**
     * 批量删除MOC完成确认清单
     * 
     * @param ids 需要删除的MOC完成确认清单ID
     * @return 结果
     */
    public int deleteTPssrMocByIds(Long[] ids);

    /**
     * 删除MOC完成确认清单信息
     * 
     * @param id MOC完成确认清单ID
     * @return 结果
     */
    public int deleteTPssrMocById(Long id);
}
